--
-- wheelDirt_Fix
-- This specialization  is added automatically, it prevents the wheelDirt speci to cause callstacks if their last ground object has been deleted by wheelDirt_Tool
--
-- upsideDown
-- 27.10.2013
-- 
--



wheelDirt_Fix = {};
local wheelDirt_Fix_directory = g_currentModDirectory;

function wheelDirt_Fix.prerequisitesPresent(specializations)
    --return SpecializationUtil.hasSpecialization(Motorized, specializations);
	return true;
end;

function wheelDirt_Fix:load(xmlFile)
		--print("wheelDirt_Fix installed");
end;

function wheelDirt_Fix:delete()
end;

function wheelDirt_Fix:mouseEvent(posX, posY, isDown, isUp, button)
end;

function wheelDirt_Fix:keyEvent(unicode, sym, modifier, isDown)
end;

function wheelDirt_Fix:update(dt)
--print("meep")
end;

function wheelDirt_Fix:updateTick(dt)
--print("meep meep")
end;

function wheelDirt_Fix:postUpdate(dt)
	--print("postUpdate works")
	if self:getIsActive() then
		if self.DirtWheels ~= nil then
			for k, dirtWheel in pairs(self.DirtWheels) do
				if dirtWheel.LastCreatedGround ~= nil then
					
					local found = false;
					for k,Ground in pairs(g_currentMission.wheelDirt) do
						if Ground.id == dirtWheel.LastCreatedGround then
							found = true;
							break;
						end;
					end;
					if not found then
						dirtWheel.LastCreatedGround = nil;
					end;
					
				end;
			end;
		end;
	end;
end;

function wheelDirt_Fix:readStream(streamId, connection)
	-- if g_currentMission.hasNetworkWheelDirt == nil or g_currentMission.hasNetworkWheelDirt == false then
		-- g_currentMission.hasNetworkWheelDirt = true;
		-- print("readStream wheeldirt (only once!")
	-- end;
end;

function wheelDirt_Fix:writeStream(streamId, connection)
	-- if g_currentMission.hasNetworkWheelDirt == nil or g_currentMission.hasNetworkWheelDirt == false then
		-- g_currentMission.hasNetworkWheelDirt = true;
		-- print("writeStream wheeldirt (only once!")
		
		-- if g_currentMission.wheelDirt ~= nil then
			-- local Ndirt = table.getn(g_currentMission.wheelDirt);
			--stream Ndirt
			-- if Ndirt > 0 then
				-- for k =1,Ndirt do
					
				-- end;
			-- end;
		-- end;
	-- end;
	
	
end;

function wheelDirt_Fix:draw()

end;


